package com.casic.missiles.modular.system.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.enums.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableName;
import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author 123
 * @since 2019-10-15
 */
@TableName("alarm_level")
public class AlarmLevel extends Model<AlarmLevel> {

    private static final long serialVersionUID = 1L;

    /**
     * 自增主键
     */
    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;
    /**
     * 指标名称
     */
    @TableField("NAME")
    private String name;
    /**
     * 设备类型
     */
    @TableField("DEVICE_TYPE")
    private Long deviceType;
    /**
     * 报警等级
     */
    @TableField("LEVEL")
    private Integer level;
    /**
     * 上限
     */
    @TableField("LOW_VALUE")
    private Float lowValue;
    /**
     * 下限
     */
    @TableField("HIGH_VALUE")
    private Float highValue;
    /**
     * 是否开启报警(1为开启)
     */
    @TableField("OPEN_ALARM")
    private String openAlarm;
    /**
     * 是否开启工单(1为开启)
     */
    @TableField("OPEN_JOB")
    private String openJob;
    /**
     * 租户ID（关联sys_tenant表ID）
     */
    @TableField("TENANT_ID")
    private Long tenantId;
    /**
     * 更新时间戳
     */
    @TableField("TS")
    private Date ts;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(Long deviceType) {
        this.deviceType = deviceType;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public Float getLowValue() {
        return lowValue;
    }

    public void setLowValue(Float lowValue) {
        this.lowValue = lowValue;
    }

    public Float getHighValue() {
        return highValue;
    }

    public void setHighValue(Float highValue) {
        this.highValue = highValue;
    }

    public String getOpenAlarm() {
        return openAlarm;
    }

    public void setOpenAlarm(String openAlarm) {
        this.openAlarm = openAlarm;
    }

    public String getOpenJob() {
        return openJob;
    }

    public void setOpenJob(String openJob) {
        this.openJob = openJob;
    }

    public Long getTenantId() {
        return tenantId;
    }

    public void setTenantId(Long tenantId) {
        this.tenantId = tenantId;
    }

    public Date getTs() {
        return ts;
    }

    public void setTs(Date ts) {
        this.ts = ts;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "AlarmLevel{" +
        "id=" + id +
        ", name=" + name +
        ", deviceType=" + deviceType +
        ", level=" + level +
        ", lowValue=" + lowValue +
        ", highValue=" + highValue +
        ", openAlarm=" + openAlarm +
        ", openJob=" + openJob +
        ", tenantId=" + tenantId +
        ", ts=" + ts +
        "}";
    }
}
